diff --git a/rts/Prelude.h b/rts/Prelude.h
index dcd7b94..0e12d2c 100644
--- a/rts/Prelude.h
+++ b/rts/Prelude.h
@@ -93,6 +93,8 @@ PRELUDE_INFO(base_GHCziStable_StablePtr_con_info);
 
 #define runSparks_closure         DLL_IMPORT_DATA_REF(base_GHCziConcziSync_runSparks_closure)
 #define ensureIOManagerIsRunning_closure DLL_IMPORT_DATA_REF(base_GHCziConcziIO_ensureIOManagerIsRunning_closure)
+
+#define ioManagerCapabilitiesChanged_closure DLL_IMPORT_DATA_REF(base_GHCziConcziIO_ioManagerCapabilitiesChanged_closure)
 #define runHandlers_closure       DLL_IMPORT_DATA_REF(base_GHCziConcziSignal_runHandlers_closure)
 
 #define flushStdHandles_closure   DLL_IMPORT_DATA_REF(base_GHCziTopHandler_flushStdHandles_closure)
diff --git a/rts/Schedule.c b/rts/Schedule.c
index f39ef96..53bdc3d 100644
--- a/rts/Schedule.c
+++ b/rts/Schedule.c
@@ -2070,7 +2070,7 @@ setNumCapabilities (nat new_n_capabilities USED_IF_THREADS)
     // Notify IO manager that the number of capabilities has changed.
     rts_evalIO(
        &cap,
-       &base_GHCziConcziIO_ioManagerCapabilitiesChanged_closure,
+       ioManagerCapabilitiesChanged_closure,
        NULL);
 
     rts_unlock(cap);
diff --git a/rts/win32/libHSbase.def b/rts/win32/libHSbase.def
index 5dd1ce7..9bf55d9 100644
--- a/rts/win32/libHSbase.def
+++ b/rts/win32/libHSbase.def
@@ -26,6 +26,7 @@ EXPORTS
 	base_GHCziPtr_Ptr_con_info
 	base_GHCziPtr_FunPtr_con_info
 
+	base_GHCziConcziIO_ioManagerCapabilitiesChanged_closure
 	base_GHCziConcziIO_ensureIOManagerIsRunning_closure
 	base_GHCziConcziSync_runSparks_closure
 
